/**
* 文件：RoleQuery.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.base.system.role.model;
import java.util.List;
/**
 * <p>Title: 角色信息</p>
 * <p>Description: RoleQuery  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class RoleQuery extends RoleEntity{
	private static final long serialVersionUID = 1547777703345L;
	/** 开始 序号，主键，自增长 */
	private Long idStart;

	/** 结束 序号，主键，自增长 */
	private Long idEnd;

	/** 增加 序号，主键，自增长 */
	private Long idIncrement;

	/** 序号，主键，自增长 */
	private List<Long> idList;

	/** 角色名称 */
	private List<String> nameList;

	/** 备注 */
	private List<String> remarkList;

	/** 开始 角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2 */
	private Integer roleTypeStart;

	/** 结束 角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2 */
	private Integer roleTypeEnd;

	/** 增加 角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2 */
	private Integer roleTypeIncrement;

	/** 角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2 */
	private List<Integer> roleTypeList;

	/** 开始 归属客户ID */
	private Long customerIdStart;

	/** 结束 归属客户ID */
	private Long customerIdEnd;

	/** 增加 归属客户ID */
	private Long customerIdIncrement;

	/** 归属客户ID */
	private List<Long> customerIdList;

	/** 开始 创建时间 */
	private String createTimeStart;

	/** 结束 创建时间 */
	private String createTimeEnd;

	/** 开始 创建用户 */
	private Long createUserIdStart;

	/** 结束 创建用户 */
	private Long createUserIdEnd;

	/** 增加 创建用户 */
	private Long createUserIdIncrement;

	/** 创建用户 */
	private List<Long> createUserIdList;

	/** 创建用户名称 */
	private List<String> createUserNameList;

	/** 开始 用户类型，0：系统用户 1:代理商用户 2:品牌商用户 */
	private Integer userTypeStart;

	/** 结束 用户类型，0：系统用户 1:代理商用户 2:品牌商用户 */
	private Integer userTypeEnd;

	/** 增加 用户类型，0：系统用户 1:代理商用户 2:品牌商用户 */
	private Integer userTypeIncrement;

	/** 用户类型，0：系统用户 1:代理商用户 2:品牌商用户 */
	private List<Integer> userTypeList;


	public RoleQuery(){
	}
	/**
	 * 获取 开始 序号，主键，自增长
	 * @return idStart
	 */
	public Long getIdStart(){
		return this.idStart;
	}

	/**
	 * 设置 开始 序号，主键，自增长
	 * @param idStart
	 */
	public void setIdStart(Long idStart){
		this.idStart = idStart;
	}

	/**
	 * 获取 结束 序号，主键，自增长
	 * @return idEnd
	 */
	public Long getIdEnd(){
		return this.idEnd;
	}

	/**
	 * 设置 结束 序号，主键，自增长
	 * @param idEnd
	 */
	public void setIdEnd(Long idEnd){
		this.idEnd = idEnd;
	}

	/**
	 * 获取 增加 序号，主键，自增长
	 * @return idIncrement
	 */
	public Long getIdIncrement(){
		return this.idIncrement;
	}

	/**
	 * 设置 增加 序号，主键，自增长
	 * @param idIncrement
	 */
	public void setIdIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
	}

	/**
	 * 获取 序号，主键，自增长
	 * @return idList
	 */
	public List<Long> getIdList(){
		return this.idList;
	}

	/**
	 * 设置 序号，主键，自增长
	 * @param idList
	 */
	public void setIdList(List<Long> idList){
		this.idList = idList;
	}

	/**
	 * 获取 角色名称
	 * @return nameList
	 */
	public List<String> getNameList(){
		return this.nameList;
	}

	/**
	 * 设置 角色名称
	 * @param nameList
	 */
	public void setNameList(List<String> nameList){
		this.nameList = nameList;
	}

	/**
	 * 获取 备注
	 * @return remarkList
	 */
	public List<String> getRemarkList(){
		return this.remarkList;
	}

	/**
	 * 设置 备注
	 * @param remarkList
	 */
	public void setRemarkList(List<String> remarkList){
		this.remarkList = remarkList;
	}

	/**
	 * 获取 开始 角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2
	 * @return roleTypeStart
	 */
	public Integer getRoleTypeStart(){
		return this.roleTypeStart;
	}

	/**
	 * 设置 开始 角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2
	 * @param roleTypeStart
	 */
	public void setRoleTypeStart(Integer roleTypeStart){
		this.roleTypeStart = roleTypeStart;
	}

	/**
	 * 获取 结束 角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2
	 * @return roleTypeEnd
	 */
	public Integer getRoleTypeEnd(){
		return this.roleTypeEnd;
	}

	/**
	 * 设置 结束 角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2
	 * @param roleTypeEnd
	 */
	public void setRoleTypeEnd(Integer roleTypeEnd){
		this.roleTypeEnd = roleTypeEnd;
	}

	/**
	 * 获取 增加 角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2
	 * @return roleTypeIncrement
	 */
	public Integer getRoleTypeIncrement(){
		return this.roleTypeIncrement;
	}

	/**
	 * 设置 增加 角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2
	 * @param roleTypeIncrement
	 */
	public void setRoleTypeIncrement(Integer roleTypeIncrement){
		this.roleTypeIncrement = roleTypeIncrement;
	}

	/**
	 * 获取 角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2
	 * @return roleTypeList
	 */
	public List<Integer> getRoleTypeList(){
		return this.roleTypeList;
	}

	/**
	 * 设置 角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2
	 * @param roleTypeList
	 */
	public void setRoleTypeList(List<Integer> roleTypeList){
		this.roleTypeList = roleTypeList;
	}

	/**
	 * 获取 开始 归属客户ID
	 * @return customerIdStart
	 */
	public Long getCustomerIdStart(){
		return this.customerIdStart;
	}

	/**
	 * 设置 开始 归属客户ID
	 * @param customerIdStart
	 */
	public void setCustomerIdStart(Long customerIdStart){
		this.customerIdStart = customerIdStart;
	}

	/**
	 * 获取 结束 归属客户ID
	 * @return customerIdEnd
	 */
	public Long getCustomerIdEnd(){
		return this.customerIdEnd;
	}

	/**
	 * 设置 结束 归属客户ID
	 * @param customerIdEnd
	 */
	public void setCustomerIdEnd(Long customerIdEnd){
		this.customerIdEnd = customerIdEnd;
	}

	/**
	 * 获取 增加 归属客户ID
	 * @return customerIdIncrement
	 */
	public Long getCustomerIdIncrement(){
		return this.customerIdIncrement;
	}

	/**
	 * 设置 增加 归属客户ID
	 * @param customerIdIncrement
	 */
	public void setCustomerIdIncrement(Long customerIdIncrement){
		this.customerIdIncrement = customerIdIncrement;
	}

	/**
	 * 获取 归属客户ID
	 * @return customerIdList
	 */
	public List<Long> getCustomerIdList(){
		return this.customerIdList;
	}

	/**
	 * 设置 归属客户ID
	 * @param customerIdList
	 */
	public void setCustomerIdList(List<Long> customerIdList){
		this.customerIdList = customerIdList;
	}

	/**
	 * 获取 开始 创建时间
	 * @return createTimeStart
	 */
	public String getCreateTimeStart(){
		return this.createTimeStart;
	}

	/**
	 * 设置 开始 创建时间
	 * @param createTimeStart
	 */
	public void setCreateTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
	}

	/**
	 * 获取 结束 创建时间
	 * @return createTimeEnd
	 */
	public String getCreateTimeEnd(){
		return this.createTimeEnd;
	}

	/**
	 * 设置 结束 创建时间
	 * @param createTimeEnd
	 */
	public void setCreateTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
	}

	/**
	 * 获取 开始 创建用户
	 * @return createUserIdStart
	 */
	public Long getCreateUserIdStart(){
		return this.createUserIdStart;
	}

	/**
	 * 设置 开始 创建用户
	 * @param createUserIdStart
	 */
	public void setCreateUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
	}

	/**
	 * 获取 结束 创建用户
	 * @return createUserIdEnd
	 */
	public Long getCreateUserIdEnd(){
		return this.createUserIdEnd;
	}

	/**
	 * 设置 结束 创建用户
	 * @param createUserIdEnd
	 */
	public void setCreateUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
	}

	/**
	 * 获取 增加 创建用户
	 * @return createUserIdIncrement
	 */
	public Long getCreateUserIdIncrement(){
		return this.createUserIdIncrement;
	}

	/**
	 * 设置 增加 创建用户
	 * @param createUserIdIncrement
	 */
	public void setCreateUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
	}

	/**
	 * 获取 创建用户
	 * @return createUserIdList
	 */
	public List<Long> getCreateUserIdList(){
		return this.createUserIdList;
	}

	/**
	 * 设置 创建用户
	 * @param createUserIdList
	 */
	public void setCreateUserIdList(List<Long> createUserIdList){
		this.createUserIdList = createUserIdList;
	}

	/**
	 * 获取 创建用户名称
	 * @return createUserNameList
	 */
	public List<String> getCreateUserNameList(){
		return this.createUserNameList;
	}

	/**
	 * 设置 创建用户名称
	 * @param createUserNameList
	 */
	public void setCreateUserNameList(List<String> createUserNameList){
		this.createUserNameList = createUserNameList;
	}

	/**
	 * 获取 开始 用户类型，0：系统用户 1:代理商用户 2:品牌商用户
	 * @return userTypeStart
	 */
	public Integer getUserTypeStart(){
		return this.userTypeStart;
	}

	/**
	 * 设置 开始 用户类型，0：系统用户 1:代理商用户 2:品牌商用户
	 * @param userTypeStart
	 */
	public void setUserTypeStart(Integer userTypeStart){
		this.userTypeStart = userTypeStart;
	}

	/**
	 * 获取 结束 用户类型，0：系统用户 1:代理商用户 2:品牌商用户
	 * @return userTypeEnd
	 */
	public Integer getUserTypeEnd(){
		return this.userTypeEnd;
	}

	/**
	 * 设置 结束 用户类型，0：系统用户 1:代理商用户 2:品牌商用户
	 * @param userTypeEnd
	 */
	public void setUserTypeEnd(Integer userTypeEnd){
		this.userTypeEnd = userTypeEnd;
	}

	/**
	 * 获取 增加 用户类型，0：系统用户 1:代理商用户 2:品牌商用户
	 * @return userTypeIncrement
	 */
	public Integer getUserTypeIncrement(){
		return this.userTypeIncrement;
	}

	/**
	 * 设置 增加 用户类型，0：系统用户 1:代理商用户 2:品牌商用户
	 * @param userTypeIncrement
	 */
	public void setUserTypeIncrement(Integer userTypeIncrement){
		this.userTypeIncrement = userTypeIncrement;
	}

	/**
	 * 获取 用户类型，0：系统用户 1:代理商用户 2:品牌商用户
	 * @return userTypeList
	 */
	public List<Integer> getUserTypeList(){
		return this.userTypeList;
	}

	/**
	 * 设置 用户类型，0：系统用户 1:代理商用户 2:品牌商用户
	 * @param userTypeList
	 */
	public void setUserTypeList(List<Integer> userTypeList){
		this.userTypeList = userTypeList;
	}


}